# Release Notes v0.11.6 : ZBDD as a Product Container

Analysis and post-analysis facilities work directly with a ZBDD-based product container
without paying memory or speed overhead of converting ZBDD into other data structures.


## Major Changes

- ZBDD as a fault tree analysis result (product/cut-set) container (#159)

    * Qualitative analysis speedup from 10% to 5x (the more the products, the bigger the effect)
    * Memory consumption decreases by 1.5 - 4x (noticeable only for million or more products)
    * Iteration over products is ~2x slower (graph walk vs. sequential array of products)
    * Quantitative analysis with approximations (rare-event, MCUB) is 2 - 10x slower
      (the fewer the products, the worse the effect)


## Minor Changes

- Package for Windows (#157)
- Package for macOS (#158)
- HTTPS support for the website


## Bug Fixes

- Incorrect formula for Histogram distribution expected value (#149)
- Histogram distribution XML schema missing lower-boundary expression (#148)


## Since v0.11.5

83 commits resulted in 109 files changed, 5258 insertions(+), 5303 deletions(-)

- Core : 52 files changed, 3869 insertions(+), 4030 deletions(-)
- Scripts : No Changes
- GUI : No Changes
- Tests : 23 files changed, 479 insertions(+), 490 deletions(-)
- Documentation : 20 files changed, 229 insertions(+), 183 deletions(-)
